System.register(["./auth.js"], function (_export, _context) {
  "use strict";

  var Auth;
  return {
    setters: [function (_authJs) {
      Auth = _authJs.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_auth_dropbox_js = _recorder_._src_client_auth_dropbox_js || {};
      Object.defineProperty(_recorder_._src_client_auth_dropbox_js, "Auth", {
        get() {
          return Auth;
        },

        set(thisIsVererySecretVariableName) {
          Auth = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      class AuthDropbox extends Auth {
        static get name() {
          return "Dropbox";
        }

        static get tokenName() {
          return "dropboxToken";
        }

        static tokenFromAuthInfo(authInfo) {
          return authInfo.token;
        }

        static get notificationIconURL() {
          return 'https://cf.dropboxstatic.com/static/images/brand/glyph-vflK-Wlfk.png';
        }

        static get appInfo() {
          return {
            "clientId": "1774dvkirby4490",
            "redirectUri": "https://lively-kernel.org/lively4-auth/oauth/dropbox.html"
          };
        }

        static oauthTokenURL(uuid) {
          return "https://lively-kernel.org/lively4-auth/open_dropbox_accesstoken?state=" + uuid;
        }

        static oauthURL(uuid) {
          return "https://www.dropbox.com/1/oauth2/authorize" + "?client_id=" + this.appInfo.clientId + "&response_type=token" + "&state=" + uuid + "&redirect_uri=" + encodeURIComponent(this.appInfo.redirectUri);
        }
      }

      _export("default", AuthDropbox);

      Object.defineProperty(_recorder_._src_client_auth_dropbox_js, "AuthDropbox", {
        get() {
          return AuthDropbox;
        },

        set(thisIsVererySecretVariableName) {
          _export("default", AuthDropbox = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      AuthDropbox.load();
    }
  };
});